using KlassenBIB;
using SanShared;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace SanSystem
{
    /// <summary>
    /// 
    /// </summary>
    public partial class FrmAuftraggeberEdit : Form
    {
        /// <summary>
        /// 
        /// </summary>
        public FrmAuftraggeberEdit(IAuftraggeber auftraggeber)
        {
            InitializeComponent();
            txt_name.DataBindings.Add("Text", auftraggeber, "Name");
            txt_ort.DataBindings.Add("Text", auftraggeber, "Ort");
            txt_strasse.DataBindings.Add("Text", auftraggeber, "Strasse");
            txt_ansp.DataBindings.Add("Text", auftraggeber, "Ansprechpartner");
        }

        private void FrmAuftraggeberEdit_FormClosing(object sender, FormClosingEventArgs e)
        {
            txt_ansp.DataBindings.Clear();
            txt_name.DataBindings.Clear();
            txt_ort.DataBindings.Clear();
            txt_strasse.DataBindings.Clear();
        }

        private void btn_save_Click(object sender, EventArgs e)
        {
            this.Close();
        }
    }
}
